Bug 1393498 - [RFE] [Sahara] Add new MapR 5.2 plugin
Summary: [RFE] [Sahara] Add new MapR 5.2 plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-sahara
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Elise Gafford
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On: 1393956 1434521
Blocks: 1422755
TreeView+ depends on / blocked
 
Reported: 2016-11-09 16:57 UTC by Elise Gafford
Modified: 2017-05-17 19:38 UTC (History)
7 users (show)

Fixed In Version: openstack-sahara-6.0.0-0.20170210235508.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:38:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description Elise Gafford 2016-11-09 16:57:08 UTC

Comment 6 Luigi Toscano 2017-02-01 09:07:41 UTC
Remove bug 1393956 from External Tracker, as it is a dependency now.

Comment 8 Luigi Toscano 2017-03-30 07:38:01 UTC
An image based on RHEL 7.3 + MapR bits can be generated using sahara-image-elements and the same image works when fed to the MapR 5.2 plugin and the sahara-scenario tests (create a cluster, run some jobs, scale with an additional node, rerun the jobs).

Captured stdout:
~~~~~~~~~~~~~~~~
    All tests for Cinder were skipped
    Results of testing plugin mapr 5.2.0.mrv2
    +-----------------------------+--------+-------------+----------------------------+
    | Check                       | Status | Duration, s |         Start time         |
    +-----------------------------+--------+-------------+----------------------------+
    | Create node group templates |   OK   |      2      | 2017-03-29 15:43:22.708431 |
    | Set flavor                  |   OK   |      0      | 2017-03-29 15:43:23.433036 |
    | Set flavor                  |   OK   |      0      | 2017-03-29 15:43:25.083441 |
    | Create cluster template     |   OK   |      1      | 2017-03-29 15:43:25.659114 |
    | Create cluster              |   OK   |      6      | 2017-03-29 15:43:27.002381 |
    | Check cluster state         |   OK   |     1598    | 2017-03-29 15:43:33.101292 |
    | Check cinder volumes        |   OK   |      1      | 2017-03-29 16:10:12.957726 |
    | Check event logs            |   OK   |      0      | 2017-03-29 16:10:15.159250 |
    | Check EDP jobs              |   OK   |     449     | 2017-03-29 16:10:15.184101 |
    | Check cluster verification  |   OK   |      99     | 2017-03-29 16:16:05.203332 |
    | Cluster scaling             |   OK   |     1554    | 2017-03-29 16:17:44.645420 |
    | Check EDP jobs              |   OK   |     562     | 2017-03-29 16:43:39.238283 |
    | Check cluster verification  |   OK   |     170     | 2017-03-29 16:50:11.668157 |
    +-----------------------------+--------+-------------+----------------------------+


Verified a TripleO-deployed cluster (1 controller, 1 compute).

Image building:
sahara-image-elements-6.0.0-7.el7ost.noarch
diskimage-builder-1.27.1-0.20170302013848.65c6da5.el7ost.noarch
dib-utils-0.0.11-1.el7ost.noarch

Sahara:
openstack-sahara-6.0.0-3.el7ost.noarch
openstack-sahara-api-6.0.0-3.el7ost.noarch
openstack-sahara-common-6.0.0-3.el7ost.noarch
openstack-sahara-engine-6.0.0-3.el7ost.noarch
puppet-sahara-10.3.0-2.el7ost.noarch
python-sahara-6.0.0-3.el7ost.noarch
python-saharaclient-1.1.0-1.el7ost.noarch

Comment 10 errata-xmlrpc 2017-05-17 19:38:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.